Saltar al contenido principal
GET
/
public
/
v1
/
campaign-service
/
sponsored-products
Get Sponsored Products
curl --request GET \
  --url https://api.topsort.com/public/v1/campaign-service/sponsored-products \
  --header 'Authorization: Bearer <token>'
{
  "hasMore": true,
  "sponsoredProducts": [
    "<string>"
  ],
  "next": {
    "offset": 123,
    "limit": 123
  }
}

Autorizaciones

Authorization
string
header
requerido

A valid API key generated in Topsort's UI.

Parámetros de consulta

vendor_id
string
requerido

The ID of the vendor to get sponsored products.

offset
integer
predeterminado:0

The pagination offset.

Rango requerido: x >= 0
limit
integer
predeterminado:100

The pagination limit.

Rango requerido: 0 <= x <= 100
fetch_active_products
boolean
predeterminado:false

Whether to fetch only active products. If false, all products will be fetched even if the campaign or the bid are inactive.

Respuesta

Successful Response

Paginated response for sponsored products in a vendor.

hasMore
boolean
requerido

Whether this is the last page of results or not.

sponsoredProducts
string[]
requerido

List of sponsored product ids.

next
Next · object

The parameters that should be used to fetch the next page.